ListLifecyclePolicies
Retrieves a list of lifecycle policies in your AWS account.
Request Syntax
POST /ListLifecyclePolicies HTTP/1.1
Content-type: application/json
{
"filters": [
{
"name": "string",
"values": [ "string" ]
}
],
"maxResults": number,
"nextToken": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- filters
-
Use the following filters to streamline results:
name,resourceType, andstatus. Filter names are matched exactly as shown.Type: Array of Filter objects
Array Members: Minimum number of 1 item. Maximum number of 10 items.
Required: No
- maxResults
-
The maximum number of items to return in a single request.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 25.
Required: No
- nextToken
-
A token to specify where to start paginating. Use the
nextTokenvalue from a previously truncated response.Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"lifecyclePolicySummaryList": [
{
"arn": "string",
"dateCreated": number,
"dateLastRun": number,
"dateUpdated": number,
"description": "string",
"executionRole": "string",
"name": "string",
"resourceType": "string",
"status": "string",
"tags": {
"string" : "string"
}
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- lifecyclePolicySummaryList
-
A list of lifecycle policies in your AWS account that meet the criteria specified in the request.
Type: Array of LifecyclePolicySummary objects
- nextToken
-
The next token used for paginated responses. When this field isn't empty, there are additional elements that the service hasn't included in this request. Use this token with the next request to retrieve additional objects.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidPaginationTokenException
-
You have provided an invalid pagination token in your request.
HTTP Status Code: 400
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
List enabled lifecycle policies
The following example lists the lifecycle policies in your account that have ENABLED status.
Sample Request
POST /ListLifecyclePolicies HTTP/1.1
Content-type: application/json
{
"filters": [
{
"name": "status",
"values": [
"ENABLED"
]
}
]
}
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"lifecyclePolicySummaryList": [
{
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:lifecycle-policy/my-example-ami-policy",
"name": "my-example-ami-policy",
"description": "Deletes AMI image builds after they reach 6 months old",
"status": "ENABLED",
"executionRole": "arn:aws:iam::111122223333:role/my-example-lifecycle-role",
"resourceType": "AMI_IMAGE",
"dateCreated": 1788982577.612,
"tags": {}
},
{
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:lifecycle-policy/my-example-container-policy",
"name": "my-example-container-policy",
"description": "Deletes container image builds after they reach 6 months old",
"status": "ENABLED",
"executionRole": "arn:aws:iam::111122223333:role/my-example-lifecycle-role",
"resourceType": "CONTAINER_IMAGE",
"dateCreated": 1788982579.339,
"tags": {}
}
]
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: